.banner_swiper {
    width: 100%;
    z-index: 2;
    border-bottom-left-radius: 75px;
    position: relative;
}

.banner_swiper .swiper-slide {
    position: relative;
}

.banner_swiper img {
    width: 100%;
}

.header_banner img {
    border-bottom-left-radius: 75px;
}

.tab_list {
    width: 100%;
    height: 60px;
    border-bottom: 2px solid #f6f6f6;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 80px;
}

.tab_style {
    display: block;
    align-content: center;
    padding: 0 50px;
    color: black;
    line-height: 57px;
    letter-spacing: 0.4px;
    position: relative;
}

.tab_style:hover {
    font-weight: bold;
    background-color: #FFE1D2;
    color: var(--theme-color-blue);
}

.tab_active {
    font-weight: bold;
    background-color: #FFE1D2;
    color: var(--theme-color-blue);
    border-bottom: solid 3px var(--theme-color-orange);
}

.common_title {
    font-size: 32px;
    font-weight: bold;
    color: var(--theme-color-blue);
    margin-bottom: 30px;
    text-align: center;
}

.latest_video {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
    margin-bottom: 80px;
}

.left_video {
    width: 57.5%;
}

.video_detail {
    width: 100%;
    display: block;
}

.video_img,.detail_img {
    width: 100%;
    position: relative;
    display: block;
    overflow: hidden;
}

.video_img img:not(.play_style),.detail_img img:not(.play_style) {
    width: 100%;
}

.video_img img,.detail_img img {
    transition: all 0.3s ease;
}

.video_img:hover img,.detail_img:hover img {
    transform: scale(1.1);
}

.play_style {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px;
    height: 40px;
    margin: -20px auto auto -20px;
    filter: drop-shadow(5px 5px 8px rgba(0, 0, 0, 0.4));
}

.video_info {
    position: relative;
    width: 100%;
    background-color: #F3F3F3;
    padding: 20px 25px;
}

.left_video .video_info {
    border-top: 5px solid var(--theme-color-blue);
}

.video_info h3 {
    font-size: 24px;
    font-weight: bold;
    color: var(--theme-color-blue);
    margin-bottom: 0;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.left_video .video_info h3 {
    margin-bottom: 10px;
}

.more_button {
    position: absolute;
    right: 25px;
    bottom: 20px;
    width: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--theme-color-green);
    border-radius: 26px;
    padding: 10px;
}

.more_button:hover {
    background-color: var(--theme-color-orange);
}

.right_video .more_button {
    bottom: 8px;
}

.video_info .more_button p {
    font-size: 16px;
    margin-right: 15px;
    color: #fff;
}

.video_info p {
    font-size: 18px;
    font-weight: 400;
    color: var(--theme-color-blue);
}

.left_video .video_info::before {
    content: '';
    width:  18%;
    height: 5px;
    background-color: var(--theme-color-orange);
    position: absolute;
    top: -5px;
    left: 0;
}

.right_video {
    width: 40.5%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.video_list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
    opacity: 1;
    transition: opacity 0.5s;
}

.video_list.loading {
  opacity: 0;
}

.video_type {
    width: 100%;
    padding: 20px 0;
    border-top: 0.5px solid #c9c9c969;
    border-bottom: 0.5px solid #c9c9c969;
    margin-bottom: 45px;
}

.type_text {
    font-size: 18px;
    font-weight: bold;
    color: #000;
    margin-right: 40px;
    cursor: pointer !important;
}

.type_active {
    color: var(--theme-color-blue);
}

a.type_text:hover {
    color: var(--theme-color-blue) !important;
}

.video_type .type_text:last-child {
    margin-right: 0;
}


.video_detail_small {
    position: relative;
    width: 32%;
    box-shadow: 2px 2px 10px #002f742e;
}

.detail_dec {
    padding: 0 20px;
}

.detail_dec a {
    font-size: 24px;
    font-weight: bold;
    line-height: 36px;
    color: #000;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 30px 0;
}

.news_time {
    display: flex;
    align-items: center;
    padding: 20px 0;
    border-top: 2px solid #c9c9c969;
}

.news_time img {
    margin-right: 10px;
}

.news_time span {
    font-size: 16px;
    color: #54585A;
}

.all_videos {
    width: 100%;
    margin-bottom: 90px;
}

/* 分页样式 */
.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.page-btn {
    width: 30px;
    height: 30px;
    padding: 5px 10px;
    background-color: #fff;
    color: var(--theme-color-blue);
    box-shadow: 2px 2px 4px #002f742e;
    border: unset;
    border-bottom: 2px solid var(--theme-color-blue);
    cursor: pointer;
    font-size: 14px;
}

.page-btn:hover:not(.disabled, .ellipsis) {
    background: #f5f5f5;
    border-bottom: 2px solid var(--theme-color-orange);
}

.page-btn.active {
    font-weight: bold;
    border-bottom: 2px solid var(--theme-color-orange);

}

.ellipsis {
    cursor: not-allowed !important;
}

/* 加载状态 */
.loading {
    text-align: center;
    padding: 20px;
    color: #666;
}

.no-result {
    text-align: center;
    padding: 40px;
    color: #999;
}


@media screen and (min-width: 992px) {
    .page_contents .container {
        max-width: 80%;
    }

    .video_list .video_detail_small:nth-child(-n+3) {
        margin-bottom: 3%;
    }
}


@media screen and (max-width: 991px) {
    .tab_list {
        margin-bottom: 35px;
        height: 45px;

    }

    .tab_style {
        font-size: 14px;
        padding: 0 15px;
        line-height: 42px;
    }

    .common_title {
        font-size: 24px;
    }

    .pagination {
        margin-top: 40px;
    }

    .play_style {
        width: 40px;
        height: 40px;
        margin: -20px auto auto -20px;
    }

    .video_type {
        display: flex;
        justify-content: space-between;
        margin-bottom: 25px;
    }

    .type_text {
        font-size: 16px;
        margin-right: 0;
    }

    .video_info h3 {
        font-size: 16px;
    }

    .video_info {
        padding: 10px;
    }

    .video_info p,.video_info .more_button p {
        font-size: 12px;
    }

    .left_video {
        margin-bottom: 20px;
    }
    
    .left_video,.right_video{
        width: 100%;
    }

    .more_button {
        right: 5px;
        bottom: 10px;
    }

    .right_video {
        flex-direction: row;
        justify-content: space-between;
    }

    .right_video .video_detail {
        width: 49%;
    }

    .latest_video {
        margin-bottom: 60px;
    }

    .video_detail_small {
        width: 49%;
        margin-bottom: 20px;
    }

    .detail_dec {
        padding: 0 10px;
    }

    .detail_dec a {
        font-size: 18px;
        line-height: 26px;
        margin: 15px 0;
    }
    
    .video_detail_small:nth-child(n+5):nth-child(-n+6) {
        margin-bottom: unset;
    }
    
    .all_videos {
        margin-bottom: 0;
    }

    .news_time {
        padding: 10px 0;
    }

    .news_time img {
        margin-right: 5px;
        width: 15px;
    }

    .news_time span {
        font-size: 11px;
    }


}